Skip to main content
POST
Create a recurring gift for a church giving link

Headers

x-api-key
string
required

Path Parameters

id
string
required

Body

application/json

Payment link ID (church link)

Example:

"a1b2c3d4-..."

donorName
string
required

Donor full name

Example:

"Jane Doe"

donorEmail
string
required

Donor email address

Example:

"jane@example.com"

frequency
enum<string>
required

Giving frequency

Available options:
weekly,
biweekly,
first_and_fifteenth,
monthly
Example:

"monthly"

amount
number
required

Gift amount (minimum $1)

Example:

50

paymentMethodId
string
required

Payment method ID for the saved card

Example:

"pm_1abc2def3ghi"

memberId
string

Church member ID

Example:

"MEM-001"

dayOfWeek
number

Day of week (0=Sunday, 6=Saturday) — used for weekly frequency

Example:

0

dayOfMonth
number

Day of month (1-28) — used for monthly frequency

Example:

15

currency
string

Currency code (default: USD)

Example:

"USD"

category
string

Giving category (tithe, offering, etc.)

Example:

"tithe"

Response

Bad request

success
boolean
required
Example:

false

error
object
required